apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "hasura-storage.fullname" . }}
  labels:
  {{- include "hasura-storage.labels" . | nindent 4 }}
data:
  HASURA_METADATA: {{ .Values.hasuraMetadata | quote }}
  HASURA_ENDPOINT: {{ .Values.hasuraEndpoint | quote }}
  S3_ENDPOINT: {{ .Values.s3Endpoint | quote }}
  S3_BUCKET: {{ .Values.s3Bucket | quote }}
  S3_ROOT_FOLDER: {{ .Values.s3RootFolder | quote }}
  POSTGRES_MIGRATIONS: {{ .Values.postgresMigrations | quote }}
{{- with .Values.extraEnvVarsCM }}
  {{- tpl ( . | toYaml) $ | nindent 2 }}
{{- end }}
